//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SYM.DataAccessLayer
{
    using System;
    using System.Collections.Generic;
    
    public partial class v_route_index
    {
        public int id { get; set; }
        public string route_title { get; set; }
        public string route_name { get; set; }
        public Nullable<long> mountain_id { get; set; }
        public int country_id { get; set; }
        public Nullable<int> valley_id { get; set; }
        public Nullable<long> region_id { get; set; }
        public Nullable<int> activity_id { get; set; }
        public string activity_name { get; set; }
        public Nullable<short> route_ranking { get; set; }
        public Nullable<short> route_altitude { get; set; }
        public System.DateTime route_dateMod { get; set; }
        public Nullable<int> trackgps_id { get; set; }
        public Nullable<float> mntn_latitude { get; set; }
        public Nullable<float> mntn_longitude { get; set; }
        public string difficulty_grade { get; set; }
        public Nullable<short> route_pitchAsc { get; set; }
        public string route_facing { get; set; }
        public Nullable<int> route_length { get; set; }
        public string region_name { get; set; }
        public string valley_name { get; set; }
        public string mntn_name { get; set; }
        public string country_code { get; set; }
        public string city_name { get; set; }
        public string route_image_url { get; set; }
        public string mntn_image_url { get; set; }
        public Nullable<short> route_height { get; set; }
        public Nullable<double> valley_lat { get; set; }
        public Nullable<double> valley_lng { get; set; }
    }
}
